from pydsrc import *
from time import clock

filename_in = "SRR001471.fastq"
filename_out = "SRR001471.dsrc"

t0 = clock()

# create and configure dsrc archive
dsrc = DsrcFile()
dsrc.LzMatching = True
dsrc.LzMemorySize = 4096

# open fastq file
fastq = FastqFile()
fastq.Open(filename_in)
print "Compressing", filename_in, "of size", fastq.Size/1000000, "MB"

# start compression
dsrc.StartCompress(filename_out)

# read all records from fastq file and write them to dsrc archive
rec = FastqRecord()
while fastq.ReadNextRecord(rec):
	dsrc.WriteRecord(rec)

# finish compression of dsrc archive - perform cleanup and close file
dsrc.FinishCompress()

# close fastq file
fastq.Close()

# print some results ;)
ds_size = dsrc.Position
t = (clock() - t0)

if t > 0.0:
	s = fastq.Size / t / 1000000.0
	print "Speed:\t\t\t", "%.2f"%s, "MB/s"
if ds_size > 0:
	print "Comp. factor:\t\t", "%.2f"%(1.0*fastq.Size/ds_size)
print "Processing time:\t", "%.1f"%t, 's'
